---
title: "Live Google Ads Search Advanced"
url: "https://docs.dataforseo.com/v3/serp/google/ads_search/live/advanced/"
date: "2026-06-06"
---

## Live Google Ads Search Advanced

   
Google Ads Search provides information on ads that are run by advertisers on Google Ads. Information is **based on the [Ads Transparency platform](https://adstransparency.google.com/)** and adapted for the convenience of DataForSEO users. 

Google Ads Advertisers SERP API provides top search engine results specific to the specified location (see [the List of Locations](https://docs.dataforseo.com/v3/serp/google/ads_search/locations.md)) and other specified parameters.

**Note:** your account will be billed per each SERP containing up to 40 results.

Historical data is available from 2018-05-31.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/ads\_search/live/advanced     

      

Pricing

  Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-ads-search-serp-api "Pricing") page.



 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `location_code` | integer | *search engine location code*  **optional field**  **if you use this field, you don't need to specify `location_name` or `location_coordinate`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/ads_search/locations`  example:  `2840`     **Note:** if you don't specify `location_name`, `location_code`, or `location_coordinate`, the ads will be searched across all the available locations |
| `depth` | integer | *parsing depth*  optional field  number of results in SERP  default value: `40`  max value: `120`     **Your account will be billed per each SERP containing up to 40 results;**Setting depth above 40 may result in additional charges [if the search engine returns more than 40 results](https://dataforseo.com/help-center/how-many-results-scraped);  The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-ads-search-serp-api "Pricing") page. |
| `target` | string | *domain name*  **required field if `advertiser_ids` is not specified**  domain name associated with an advertiser account |
| `advertiser_ids` | array | *advertiser identifiers*  **required field if `target` is not specified**     you can specify the maximum of 25 values in this array;  `advertiser_ids` values for this parameter can be found in the [Google Ads Advertisers](https://docs.dataforseo.com/v3/serp/google/ads_advertisers/task_get/advanced.md) endpoint; |
| `priority` | integer | *task priority*  optional field  can take the following values:  1 – normal execution priority (set by default)  2 – high execution priority     You will be additionally charged for the tasks with high execution priority.The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-ads-search-serp-api "Pricing") page. |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **optional field**  **if you use this field, you don't need to specify `location_code` or `location_coordinate`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/ads_search/locations`  example:  `London,England,United Kingdom`     **Note:** if you don't specify `location_name`, `location_code`, or `location_coordinate`, the ads will be searched across all the available locations |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `location_coordinate` | string | *GPS coordinates of a location*  **optional field**  **if you use this field, you don't need to specify `location_name` or `location_code`**  example:  `52.6178549,-155.352142`     **Note:** if you don't specify `location_name`, `location_code`, or `location_coordinate`, the ads will be searched across all the available locations |
| `platform` | string | *advertising platform*  optional field  possible values: `all`, `google_play`, `google_maps`, `google_search`, `google_shopping`, `youtube`  default value: `all` |
| `format` | string | *ad format*  optional field  possible values: `all`, `text`, `image`, `video` |
| `date_from` | string | *starting date of the time range*  optional field  required field if `date_to` is specified;     date format: `"yyyy-mm-dd"`  minimum value: 2018-05-31  maximum value: today's date  example:  `"2020-01-01"` |
| `date_to` | string | *ending date of the time range*  optional field  required field if `date_from` is specified;     date format: `"yyyy-mm-dd"`  minimum value: 2018-05-31  maximum value: today's date  example:  `"2020-01-01"` |



  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus symbol ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   in this case, equals `null` |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection;   in this case, equals `null` |
| `refinement_chips` | object | *search refinement chips* |
| `type` | string | *type of element = **‘refinement\_chips’*** |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *items of the element* |
| `type` | string | *type of element = **‘refinement\_chips\_element’*** |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| `options` | array | *further search refinement options* |
| `type` | string | *type of element = **‘refinement\_chips\_option’*** |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   `ads_search` |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **ads\_search** |  |  |
| `type` | string | *type of element = **‘ads\_search’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `advertiser_id` | string | *unique identifier of the advertiser account* |
| `creative_id` | string | *unique identifier of the advertisement* |
| `title` | string | *title of the element*   contains the name of the advertiser |
| `url` | string | *url of the advertisement*   URL pointing to the advertisement on the Ads Transparency platform |
| `verified` | boolean | *verified advertiser account*   equals `true` if advertiser account is verified by Google Ads |
| `format` | string | *format of the advertisement*   possible values: `text`, `image`, `video` |
| `preview_image` | array | *preview image of the advertisement* |
| `url` | string | *url to the image preview* |
| `height` | integer | *height of the preview image* |
| `width` | integer | *width of the preview image* |
| `preview_url` | string | *url pointing to the ad preview* |
| `first_shown` | string | *date and time when the ad was shown for the first time*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” |
| `last_shown` | string | *date and time when the ad was shown the last time*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/ads_search/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "location_code": 2840,
        "platform": "google_search",
        "advertiser_ids": [
            "AR13752565271262920705",
            "AR02439908557932462081"
        ]
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
   "location_code" => 2840,
   "platform" => "google_search",
   "advertiser_ids" => array(
      "AR13752565271262920705",
      "AR02439908557932462081"
   )
);
try {
    // POST /v3/serp/google/ads_search/live/advanced
    // in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/ads_search/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/ads_search/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
    "location_code": 2840,
    "platform": "google_search",
    "advertiser_ids": ["AR13752565271262920705", "AR02439908557932462081"]
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    location_code=2840,
    platform="google_search",
    advertiser_ids=[
      "AR13752565271262920705",
      "AR02439908557932462081"
    ]
)
# POST /v3/serp/google/ads_search/live/advanced
# in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/ads_search/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                location_code = 2840,
                platform = "google_search",
                advertiser_ids = new[]
                {
                    "AR13752565271262920705",
                    "AR02439908557932462081"
                }
            });
            // POST /v3/serp/google/ads_search/live/advanced
            // in addition to 'google' and 'ads_search' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/ads_search/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241203",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "9.1262 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "12131245-1535-0139-0000-099022412907",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "9.0397 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "ads_search",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "ads_search",
        "location_code": 2840,
        "platform": "google_search",
        "advertiser_ids": [
          "AR13752565271262920705",
          "AR02439908557932462081"
        ],
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "ids:AR13752565271262920705,AR02439908557932462081",
          "type": "ads_search",
          "se_domain": "adstransparency.google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": null,
          "datetime": "2024-12-13 10:45:40 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "ads_search"
          ],
          "se_results_count": 0,
          "items_count": 37,
          "items": [
            {
              "type": "ads_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00625375447642800129",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00625375447642800129?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/684870757988669886",
                "height": 199,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 09:57:49 +00:00",
              "last_shown": "2024-12-13 08:37:19 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 2,
              "rank_absolute": 2,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00784732753097654273",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00784732753097654273?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9542351460357964163",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:32:27 +00:00",
              "last_shown": "2024-12-13 08:23:38 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 3,
              "rank_absolute": 3,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR06296423189807366145",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR06296423189807366145?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13243183057857017625",
                "height": 199,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 09:58:06 +00:00",
              "last_shown": "2024-12-13 08:06:31 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 4,
              "rank_absolute": 4,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17249727445544730625",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17249727445544730625?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/10347890168435160670",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-06-21 15:15:13 +00:00",
              "last_shown": "2024-12-13 07:53:23 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 5,
              "rank_absolute": 5,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR15495569394909577217",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR15495569394909577217?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/1414466749347706497",
                "height": 199,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-05-31 20:37:14 +00:00",
              "last_shown": "2024-12-13 06:33:55 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 6,
              "rank_absolute": 6,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR01816727013944197121",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR01816727013944197121?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/15773752025748000294",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-28 13:00:11 +00:00",
              "last_shown": "2024-12-12 22:39:05 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 7,
              "rank_absolute": 7,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR12042076438048800769",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR12042076438048800769?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13379662968705477481",
                "height": 225,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-05-30 13:09:10 +00:00",
              "last_shown": "2024-12-12 22:28:07 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 8,
              "rank_absolute": 8,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR09896508379822555137",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR09896508379822555137?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13134785928323047",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:27:59 +00:00",
              "last_shown": "2024-12-12 22:14:04 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 9,
              "rank_absolute": 9,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR10640889605936644097",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR10640889605936644097?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2838207111400385113",
                "height": 199,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-05-30 14:17:57 +00:00",
              "last_shown": "2024-12-12 21:35:45 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 10,
              "rank_absolute": 10,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR04854618748897722369",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR04854618748897722369?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/3355132213664915446",
                "height": 107,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:12:13 +00:00",
              "last_shown": "2024-12-12 21:01:38 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 11,
              "rank_absolute": 11,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR10722536040880406529",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR10722536040880406529?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/3366731893680246315",
                "height": 225,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-06-18 13:16:44 +00:00",
              "last_shown": "2024-12-12 15:24:07 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 12,
              "rank_absolute": 12,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR01322070390603776001",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR01322070390603776001?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/5165761452686034712",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-07-23 20:00:34 +00:00",
              "last_shown": "2024-12-12 11:19:53 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 13,
              "rank_absolute": 13,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17473444801570406401",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17473444801570406401?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/1641105414394893292",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-07-04 15:17:54 +00:00",
              "last_shown": "2024-12-12 10:43:20 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 14,
              "rank_absolute": 14,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR13819929290680041473",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR13819929290680041473?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18294340032311558783",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-07-08 14:17:23 +00:00",
              "last_shown": "2024-11-14 19:36:27 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 15,
              "rank_absolute": 15,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR01662930007510482945",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR01662930007510482945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18291553336063761605",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:01:58 +00:00",
              "last_shown": "2024-09-07 05:52:26 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 16,
              "rank_absolute": 16,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR06136059418896236545",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR06136059418896236545?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11936678826542439633",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:18:26 +00:00",
              "last_shown": "2024-08-30 18:33:18 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 17,
              "rank_absolute": 17,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR02450351856812032001",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR02450351856812032001?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/8579142441311246542",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:01:28 +00:00",
              "last_shown": "2024-07-04 14:37:49 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 18,
              "rank_absolute": 18,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR12923292745233072129",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR12923292745233072129?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9738062490339973503",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:10:40 +00:00",
              "last_shown": "2024-07-04 14:20:59 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 19,
              "rank_absolute": 19,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR11880550002310774785",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR11880550002310774785?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/13723642643977787310",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 11:35:20 +00:00",
              "last_shown": "2024-06-24 08:58:01 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 20,
              "rank_absolute": 20,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR17973212281374244865",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR17973212281374244865?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/6250038801007163617",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-04-04 18:42:05 +00:00",
              "last_shown": "2024-06-24 08:39:00 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 21,
              "rank_absolute": 21,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14151434039319330817",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14151434039319330817?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9082499144313735411",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 14:07:31 +00:00",
              "last_shown": "2024-06-24 07:22:19 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 22,
              "rank_absolute": 22,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR15900095133111025665",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR15900095133111025665?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/6437789977339829894",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 13:38:17 +00:00",
              "last_shown": "2024-06-24 07:11:14 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 23,
              "rank_absolute": 23,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR02355585087052972033",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR02355585087052972033?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/7112124729626090906",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 17:48:44 +00:00",
              "last_shown": "2024-06-24 06:28:13 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 24,
              "rank_absolute": 24,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR03436863169908178945",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR03436863169908178945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/4598141035463191995",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-04-04 19:00:42 +00:00",
              "last_shown": "2024-06-24 06:05:43 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 25,
              "rank_absolute": 25,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR13170483437561184257",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR13170483437561184257?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18038096476812406907",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-10 17:13:34 +00:00",
              "last_shown": "2024-06-23 20:57:33 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 26,
              "rank_absolute": 26,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR11545231563230806017",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR11545231563230806017?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/15460004865836786971",
                "height": 153,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 10:03:01 +00:00",
              "last_shown": "2024-06-14 12:40:09 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 27,
              "rank_absolute": 27,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR08214837230976368641",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR08214837230976368641?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9437093667243885247",
                "height": 153,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 09:58:08 +00:00",
              "last_shown": "2024-05-22 14:39:14 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 28,
              "rank_absolute": 28,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR03009556770549923841",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR03009556770549923841?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/11067731379200822780",
                "height": 159,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-06-03 11:04:08 +00:00",
              "last_shown": "2024-05-14 08:05:29 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 29,
              "rank_absolute": 29,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR11145766241396850689",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR11145766241396850689?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/12165623348263440250",
                "height": 153,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-04-15 10:11:14 +00:00",
              "last_shown": "2024-04-29 11:53:50 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 30,
              "rank_absolute": 30,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR00603931603646808065",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR00603931603646808065?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/9435649239286217035",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-03-06 21:20:29 +00:00",
              "last_shown": "2024-04-29 11:01:41 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 31,
              "rank_absolute": 31,
              "advertiser_id": "AR13752565271262920705",
              "creative_id": "CR17660292096742916097",
              "title": "Dataforseo OU",
              "url": "https://adstransparency.google.com/advertiser/AR13752565271262920705/creative/CR17660292096742916097?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2635953811027937633",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2024-02-13 15:00:14 +00:00",
              "last_shown": "2024-02-26 11:19:23 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 32,
              "rank_absolute": 32,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR14431668766913855489",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR14431668766913855489?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/5767963147921308829",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 12:56:34 +00:00",
              "last_shown": "2024-02-01 04:30:16 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 33,
              "rank_absolute": 33,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR02885896450120613889",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR02885896450120613889?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/12889792266930559148",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 18:16:57 +00:00",
              "last_shown": "2024-02-01 03:45:59 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 34,
              "rank_absolute": 34,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR03361548066514534401",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR03361548066514534401?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/14022418018314768801",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 14:34:49 +00:00",
              "last_shown": "2024-02-01 01:35:39 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 35,
              "rank_absolute": 35,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR09443229454231928833",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR09443229454231928833?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/2035117992027059392",
                "height": 167,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 13:30:43 +00:00",
              "last_shown": "2024-02-01 01:34:53 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 36,
              "rank_absolute": 36,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR11379696067579740161",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR11379696067579740161?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/15201071374634223536",
                "height": 173,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 16:07:30 +00:00",
              "last_shown": "2024-01-31 22:08:01 +00:00"
            },
            {
              "type": "ads_search",
              "rank_group": 37,
              "rank_absolute": 37,
              "advertiser_id": "AR02439908557932462081",
              "creative_id": "CR00486486925528530945",
              "title": "Apple Inc.",
              "url": "https://adstransparency.google.com/advertiser/AR02439908557932462081/creative/CR00486486925528530945?region=US",
              "verified": true,
              "format": "text",
              "preview_image": {
                "url": "https://tpc.googlesyndication.com/archive/simgad/18213825750517826747",
                "height": 201,
                "width": 380
              },
              "preview_url": null,
              "first_shown": "2023-08-09 16:53:37 +00:00",
              "last_shown": "2024-01-30 21:12:51 +00:00"
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp